Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.delta
Class ClearOperation

    java.lang.Object
      org.infinispan.schematic.internal.delta.Operation
          org.infinispan.schematic.internal.delta.ArrayOperation
              org.infinispan.schematic.internal.delta.ClearOperation

    @Immutable
    @SerializeWith(value=ClearOperation.Externalizer.class)
    public class ClearOperation

extends ArrayOperation

An atomic remove operation for SchematicValueDelta.

Since:
  5.1
Author:
  (various)

Nested Class Summary
`static class` | `ClearOperation.Externalizer`

Field Summary

Fields inherited from class org.infinispan.schematic.internal.delta.Operation
`parentPath`

Constructor Summary
`ClearOperation(Path path)`

Method Summary
`ClearOperation` | `clone()`
`void` | `replay(MutableDocument delegate)`
`void` | `rollback(MutableDocument delegate)`
`String` | `toString()`

Methods inherited from class org.infinispan.schematic.internal.delta.ArrayOperation
`cloneValues, mutableParent`

Methods inherited from class org.infinispan.schematic.internal.delta.Operation
`cloneValue, getParentPath`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClearOperation

    public ClearOperation(Path path)

Method Detail

### clone

    public ClearOperation clone()

  Specified by:
    `clone` in class `Operation`

### replay

    public void replay(MutableDocument delegate)

  Specified by:
    `replay` in class `Operation`

### rollback

    public void rollback(MutableDocument delegate)

  Specified by:
    `rollback` in class `Operation`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.